searchData={"items":[{"type":"module","title":"Ducker","doc":"Documentation for `Ducker`.","ref":"Ducker.html"},{"type":"function","title":"Ducker.execute_query_file_from_dir!/3","doc":"Executes all SQL files (.sql) in the given directory.","ref":"Ducker.html#execute_query_file_from_dir!/3"},{"type":"function","title":"Options - Ducker.execute_query_file_from_dir!/3","doc":"- `:eex` - If true, EEx is used to evaluate the SQL files.","ref":"Ducker.html#execute_query_file_from_dir!/3-options"},{"type":"function","title":"Ducker.execute_validation_from_dir!/3","doc":"Executes all validation files (.yaml) in the given directory.","ref":"Ducker.html#execute_validation_from_dir!/3"},{"type":"function","title":"Options: - Ducker.execute_validation_from_dir!/3","doc":"- `:filter` - A function to filter files. It should take a file name as an argument and return true or false.","ref":"Ducker.html#execute_validation_from_dir!/3-options"},{"type":"function","title":"Ducker.initialize!/2","doc":"Initializes a Ducker struct with a connection and work directory.","ref":"Ducker.html#initialize!/2"},{"type":"function","title":"Ducker.reset_validation_results!/1","doc":"Resets the validation results in the database.","ref":"Ducker.html#reset_validation_results!/1"},{"type":"module","title":"Ducker.FileHelper","doc":"","ref":"Ducker.FileHelper.html"},{"type":"function","title":"Ducker.FileHelper.list_files/2","doc":"Lists files in a directory (sorted). By default, hidden files are included.","ref":"Ducker.FileHelper.html#list_files/2"},{"type":"function","title":"Options: - Ducker.FileHelper.list_files/2","doc":"- `:exclude_hidden` - If true, hidden files (starting with \".\") are not included.\n  - `:ext` - If provided, only files with this extension are included.\n  - `:filter` - A function to filter files. It should take a file name as an argument and return true or false.","ref":"Ducker.FileHelper.html#list_files/2-options"},{"type":"module","title":"Ducker.SQLHelper","doc":"","ref":"Ducker.SQLHelper.html"},{"type":"function","title":"Ducker.SQLHelper.escape_single_quotes/1","doc":"Escapes single quotes in a string for SQL queries.","ref":"Ducker.SQLHelper.html#escape_single_quotes/1"},{"type":"behaviour","title":"Ducker.Validation","doc":"Validation is specified using a YAML file with the following structure:\n\n```yaml\ntable:  \nvalidations:\n  - validate:  \n    where:  \n    type:  \n  - unique: [ ,  , ...]\n    where:  \n    type:  \n  - reference:  \n    where:  \n    columns: [ ,  , ...]\n    foreign_columns: [ ,  , ...]\n```","ref":"Ducker.Validation.html"},{"type":"function","title":"Ducker.Validation.do_validate/2","doc":"","ref":"Ducker.Validation.html#do_validate/2"},{"type":"callback","title":"Ducker.Validation.validate/1","doc":"","ref":"Ducker.Validation.html#c:validate/1"},{"type":"module","title":"Ducker.Validation.Config","doc":"","ref":"Ducker.Validation.Config.html"},{"type":"function","title":"Ducker.Validation.Config.from_dir/2","doc":"Loads validation files from a directory.","ref":"Ducker.Validation.Config.html#from_dir/2"},{"type":"function","title":"Options: - Ducker.Validation.Config.from_dir/2","doc":"- `:filter` - A function to filter files. It should take a file name as an argument and return true or false.","ref":"Ducker.Validation.Config.html#from_dir/2-options"},{"type":"module","title":"Ducker.Validation.Generic","doc":"","ref":"Ducker.Validation.Generic.html"},{"type":"function","title":"Ducker.Validation.Generic.do_validate/1","doc":"","ref":"Ducker.Validation.Generic.html#do_validate/1"},{"type":"module","title":"Ducker.Validation.Reference","doc":"","ref":"Ducker.Validation.Reference.html"},{"type":"function","title":"Ducker.Validation.Reference.do_validate/1","doc":"","ref":"Ducker.Validation.Reference.html#do_validate/1"},{"type":"module","title":"Ducker.Validation.Unique","doc":"","ref":"Ducker.Validation.Unique.html"},{"type":"function","title":"Ducker.Validation.Unique.do_validate/1","doc":"","ref":"Ducker.Validation.Unique.html#do_validate/1"},{"type":"extras","title":"Ducker","doc":"# Ducker\n\nElixir ELT (extract load transform) using DuckDB","ref":"readme.html"},{"type":"extras","title":"Installation - Ducker","doc":"The package can be installed by adding `ducker` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ducker, \"~> 0.1.0\"}\n  ]\nend\n```\n\nThe docs can be found at  .","ref":"readme.html#installation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}